##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the 
## top-level directory of this distribution and at: 
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html. 
## No part of 'SLAC Firmware Standard Library', including this file, 
## may be copied, modified, propagated, or distributed except according to 
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once Ltc2270.yaml

Ltc2270: &Ltc2270
  class: MMIODev
  configPrio: 1
  description: Ltc2270 Module
  size: 0x400
  children:
    #########################################################
    DacReset:
      at:
        offset: 0x00
      class: IntField
      sizeBits: 1
      lsBit: 7
      mode: RW
      description: DacReset
    ######################################################### 
    PwrDwn:
      at:
        offset: 0x04
      class: IntField
      sizeBits: 2
      lsBit: 0
      mode: RW
      description: PwrDwn
    ######################################################### 
    ClkInv:
      at:
        offset: 0x08
      class: IntField
      sizeBits: 1
      lsBit: 3
      mode: RW
      description: ClkInv
    ######################################################### 
    ClkPhase:
      at:
        offset: 0x04
      class: IntField
      sizeBits: 2
      lsBit: 1
      mode: RW
      description: ClkPhase
    ######################################################### 
    Dcs:
      at:
        offset: 0x04
      class: IntField
      sizeBits: 1
      lsBit: 0
      mode: RW
      description: Dcs
    ######################################################### 
    ILvds:
      at:
        offset: 0x08
      class: IntField
      sizeBits: 3
      lsBit: 3
      mode: RW
      description: ILvds
    ######################################################### 
    TermOn:
      at:
        offset: 0x08
      class: IntField
      sizeBits: 1
      lsBit: 3
      mode: RW
      description: TermOn
    ######################################################### 
    OutOff:
      at:
        offset: 0x08
      class: IntField
      sizeBits: 1
      lsBit: 2
      mode: RW
      description: OutOff
    ######################################################### 
    OutMode:
      at:
        offset: 0x08
      class: IntField
      sizeBits: 2
      lsBit: 0
      mode: RW
      description: OutMode
    ######################################################### 
    OutTest:
      at:
        offset: 0x0C
      class: IntField
      sizeBits: 3
      lsBit: 3
      mode: RW
      description: OutTest 
    ######################################################### 
    Abp:
      at:
        offset: 0x0C
      class: IntField
      sizeBits: 1
      lsBit: 2
      mode: RW
      description: Abp
    ######################################################### 
    Rand:
      at:
        offset: 0x0C
      class: IntField
      sizeBits: 1
      lsBit: 1
      mode: RW
      description: Rand
    ######################################################### 
    TwoComp :
      at:
        offset: 0x0C
      class: IntField
      sizeBits: 1
      lsBit: 0
      mode: RW
      description: TwoComp
    ######################################################### 
    adcData:
      at:
        offset: 0x180
        nelms: 2
        stride: 32
      class: MMIODev
      size: 0x20
      children:
        data:
          at:
            offset: 0x00
            nelms: 8
            stride: 4
          class: IntField
          sizeBits: 16
          lsBit: 0
          mode: RO
          description: adcData
    ######################################################### 
    delayRdy:
      at:
        offset: 0x1FC
      class: IntField
      sizeBits: 1
      lsBit: 0
      mode: RO
      description: delayRdy
    ######################################################### 
    delayData:
      at:
        offset: 0x200
        nelms: 2
        stride: 32
      class: MMIODev
      size: 0x20
      children:
        data:
          at:
            offset: 0x00
            nelms: 8
            stride: 4
          class: IntField
          sizeBits: 5
          lsBit: 0
          mode: RW
          description: delayData
    ######################################################### 
    dmode:
      at:
        offset: 0x240
      class: IntField
      sizeBits: 2
      lsBit: 0
      mode: RW
      description: dmode
    ######################################################### 
    debug:
      at:
        offset: 0x280
      class: IntField
      sizeBits: 1
      lsBit: 0
      mode: RW
      description: debug
    ######################################################### 
#  CPSW no longer supports WO mode
#    cntRst:
#      at:
#        offset: 0x3FC
#      class: IntField
#      sizeBits: 1
#      lsBit: 0
#      mode: WO
#      description: cntRst
    ######################################################### 
